# Compute Engine API . clientSslPolicies

## Instance Methods

Returns permissions that a caller has on the specified resource.

### Method Details

`testIamPermissions(project, resource, body)`

    Returns permissions that a caller has on the specified resource.

    Args:
      project: string, Project ID for this request. (required)
      resource: string, Name of the resource for this request. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "permissions": [ # The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.
          "A String",
        ],
      }

    Returns:
      An object of the form:

        {
        "permissions": [ # A subset of `TestPermissionsRequest.permissions` that the caller is allowed.
          "A String",
        ],
      }